# GstMpegvideoParser

Provides useful functions for mpeg videos bitstream parsing.

## GstMpegVideoGop

The Mpeg Video Group of Picture structure.

### Members

`drop_frame_flag` (guint8) –

Drop Frame Flag

`hour` (guint8) –

Hour (0-23)

`minute` (guint8) –

Minute (O-59)

`second` (guint8) –

Second (0-59)

`frame` (guint8) –

Frame (0-59)

`closed_gop` (guint8) –

Closed Gop

`broken_link` (guint8) –

Broken link

## GstCodecParsers.MpegVideoGop

The Mpeg Video Group of Picture structure.

### Members

`drop_frame_flag` (Number) –

Drop Frame Flag

`hour` (Number) –

Hour (0-23)

`minute` (Number) –

Minute (O-59)

`second` (Number) –

Second (0-59)

`frame` (Number) –

Frame (0-59)

`closed_gop` (Number) –

Closed Gop

`broken_link` (Number) –

Broken link

## GstCodecParsers.MpegVideoGop

The Mpeg Video Group of Picture structure.

### Members

`drop_frame_flag` (int) –

Drop Frame Flag

`hour` (int) –

Hour (0-23)

`minute` (int) –

Minute (O-59)

`second` (int) –

Second (0-59)

`frame` (int) –

Frame (0-59)

`closed_gop` (int) –

Closed Gop

`broken_link` (int) –

Broken link

## GstMpegVideoMeta

Extra buffer metadata describing the contents of a MPEG1/2 Video frame

Can be used by elements (mainly decoders) to avoid having to parse Mpeg video 1/2 packets if it can be done upstream.

The various fields are only valid during the lifetime of the GstMpegVideoMeta. If elements wish to use those for longer, they are required to make a copy.

### Members

`meta` (GstMeta) –

parent GstMeta

`sequencehdr` (GstMpegVideoSequenceHdr *) –

the GstMpegVideoSequenceHdr if present in the buffer

`sequenceext` (GstMpegVideoSequenceExt *) –

the GstMpegVideoSequenceExt if present in the buffer

`sequencedispext` (GstMpegVideoSequenceDisplayExt *) –

the GstMpegVideoSequenceDisplayExt if present in the buffer.

`pichdr` (GstMpegVideoPictureHdr *) –

the GstMpegVideoPictureHdr if present in the buffer.

`picext` (GstMpegVideoPictureExt *) –

the GstMpegVideoPictureExt if present in the buffer.

`quantext` (GstMpegVideoQuantMatrixExt *) –

the GstMpegVideoQuantMatrixExt if present in the buffer

`num_slices` (guint) –
No description available
`slice_offset` (gsize) –
No description available

Since : 1.2

## GstCodecParsers.MpegVideoMeta

Extra buffer metadata describing the contents of a MPEG1/2 Video frame

Can be used by elements (mainly decoders) to avoid having to parse Mpeg video 1/2 packets if it can be done upstream.

The various fields are only valid during the lifetime of the GstCodecParsers.MpegVideoMeta. If elements wish to use those for longer, they are required to make a copy.

### Members

`meta` (Gst.Meta) –

parent Gst.Meta

`sequencehdr` (GstCodecParsers.MpegVideoSequenceHdr) –

the GstCodecParsers.MpegVideoSequenceHdr if present in the buffer

`sequenceext` (GstCodecParsers.MpegVideoSequenceExt) –

the GstCodecParsers.MpegVideoSequenceExt if present in the buffer

`sequencedispext` (GstCodecParsers.MpegVideoSequenceDisplayExt) –

the GstCodecParsers.MpegVideoSequenceDisplayExt if present in the buffer.

`pichdr` (GstCodecParsers.MpegVideoPictureHdr) –

the GstCodecParsers.MpegVideoPictureHdr if present in the buffer.

`picext` (GstCodecParsers.MpegVideoPictureExt) –

the GstCodecParsers.MpegVideoPictureExt if present in the buffer.

`quantext` (GstCodecParsers.MpegVideoQuantMatrixExt) –

the GstCodecParsers.MpegVideoQuantMatrixExt if present in the buffer

`num_slices` (Number) –
No description available
`slice_offset` (Number) –
No description available

Since : 1.2

## GstCodecParsers.MpegVideoMeta

Extra buffer metadata describing the contents of a MPEG1/2 Video frame

Can be used by elements (mainly decoders) to avoid having to parse Mpeg video 1/2 packets if it can be done upstream.

The various fields are only valid during the lifetime of the GstCodecParsers.MpegVideoMeta. If elements wish to use those for longer, they are required to make a copy.

### Members

`meta` (Gst.Meta) –

parent Gst.Meta

`sequencehdr` (GstCodecParsers.MpegVideoSequenceHdr) –

the GstCodecParsers.MpegVideoSequenceHdr if present in the buffer

`sequenceext` (GstCodecParsers.MpegVideoSequenceExt) –

the GstCodecParsers.MpegVideoSequenceExt if present in the buffer

`sequencedispext` (GstCodecParsers.MpegVideoSequenceDisplayExt) –

the GstCodecParsers.MpegVideoSequenceDisplayExt if present in the buffer.

`pichdr` (GstCodecParsers.MpegVideoPictureHdr) –

the GstCodecParsers.MpegVideoPictureHdr if present in the buffer.

`picext` (GstCodecParsers.MpegVideoPictureExt) –

the GstCodecParsers.MpegVideoPictureExt if present in the buffer.

`quantext` (GstCodecParsers.MpegVideoQuantMatrixExt) –

the GstCodecParsers.MpegVideoQuantMatrixExt if present in the buffer

`num_slices` (int) –
No description available
`slice_offset` (int) –
No description available

Since : 1.2

### Functions

#### gst_mpeg_video_meta_get_info

    const GstMetaInfo *
    gst_mpeg_video_meta_get_info ()

Returns –
No description available

#### GstCodecParsers.prototype.mpeg_video_meta_get_info

    function GstCodecParsers.prototype.mpeg_video_meta_get_info(): {
        // javascript wrapper for 'gst_mpeg_video_meta_get_info'
    }

Returns (Gst.MetaInfo) –
No description available

#### GstCodecParsers.mpeg_video_meta_get_info

    def GstCodecParsers.mpeg_video_meta_get_info ():
        #python wrapper for 'gst_mpeg_video_meta_get_info'

Returns (Gst.MetaInfo) –
No description available

## GstMpegVideoPacket

A structure that contains the type of a packet, its offset and its size

### Members

`data` (const guint8 *) –

the data containing the packet starting at offset

`type` (guint8) –

the type of the packet that start at offset, as a GstMpegVideoPacketTypeCode

`offset` (guint) –

the offset of the packet start in bytes from data. This is the start of the packet itself without the sync code

`size` (gint) –

The size in bytes of the packet or -1 if the end wasn't found. This is the size of the packet itself without the sync code

## GstCodecParsers.MpegVideoPacket

A structure that contains the type of a packet, its offset and its size

### Members

`data` (Number) –

the data containing the packet starting at offset

`type` (Number) –

the type of the packet that start at offset, as a GstCodecParsers.MpegVideoPacketTypeCode

`offset` (Number) –

the offset of the packet start in bytes from data. This is the start of the packet itself without the sync code

`size` (Number) –

The size in bytes of the packet or -1 if the end wasn't found. This is the size of the packet itself without the sync code

## GstCodecParsers.MpegVideoPacket

A structure that contains the type of a packet, its offset and its size

### Members

`data` (int) –

the data containing the packet starting at offset

`type` (int) –

the type of the packet that start at offset, as a GstCodecParsers.MpegVideoPacketTypeCode

`offset` (int) –

the offset of the packet start in bytes from data. This is the start of the packet itself without the sync code

`size` (int) –

The size in bytes of the packet or -1 if the end wasn't found. This is the size of the packet itself without the sync code

### Methods

#### gst_mpeg_video_packet_parse_gop

    gboolean
    gst_mpeg_video_packet_parse_gop (const GstMpegVideoPacket * packet,
                                     GstMpegVideoGop * gop)

Parses the gop MPEG Video Group of Picture structure members from video packet

Parameters:

`packet` –

The GstMpegVideoPacket that carries the data

`gop` ( [out]) –

The GstMpegVideoGop structure to fill

Returns –

TRUE if the gop could be parsed correctly, FALSE otherwise.

Since : 1.2

#### GstCodecParsers.MpegVideoPacket.prototype.parse_gop

    function GstCodecParsers.MpegVideoPacket.prototype.parse_gop(): {
        // javascript wrapper for 'gst_mpeg_video_packet_parse_gop'
    }

Parses the gop MPEG Video Group of Picture structure members from video packet

Parameters:

`packet` (GstCodecParsers.MpegVideoPacket) –

The GstCodecParsers.MpegVideoPacket that carries the data

Returns a tuple made of:

(Number ) –

true if the gop could be parsed correctly, false otherwise.

`gop` (GstCodecParsers.MpegVideoGop ) –

true if the gop could be parsed correctly, false otherwise.

Since : 1.2

#### GstCodecParsers.MpegVideoPacket.parse_gop

    def GstCodecParsers.MpegVideoPacket.parse_gop (self):
        #python wrapper for 'gst_mpeg_video_packet_parse_gop'

Parses the gop MPEG Video Group of Picture structure members from video packet

Parameters:

`packet` (GstCodecParsers.MpegVideoPacket) –

The GstCodecParsers.MpegVideoPacket that carries the data

Returns a tuple made of:

(bool ) –

True if the gop could be parsed correctly, False otherwise.

`gop` (GstCodecParsers.MpegVideoGop ) –

True if the gop could be parsed correctly, False otherwise.

Since : 1.2

#### gst_mpeg_video_packet_parse_picture_extension

    gboolean
    gst_mpeg_video_packet_parse_picture_extension (const GstMpegVideoPacket * packet,
                                                   GstMpegVideoPictureExt * picext)

Parse the ext MPEG Video Picture Extension structure members from video packet

Parameters:

`packet` –

The GstMpegVideoPacket that carries the data

`picext` ( [out]) –

The GstMpegVideoPictureExt structure to fill

Returns –

TRUE if the picture extension could be parsed correctly, FALSE otherwise.

Since : 1.2

#### GstCodecParsers.MpegVideoPacket.prototype.parse_picture_extension

    function GstCodecParsers.MpegVideoPacket.prototype.parse_picture_extension(): {
        // javascript wrapper for 'gst_mpeg_video_packet_parse_picture_extension'
    }

Parse the ext MPEG Video Picture Extension structure members from video packet

Parameters:

`packet` (GstCodecParsers.MpegVideoPacket) –

The GstCodecParsers.MpegVideoPacket that carries the data

Returns a tuple made of:

(Number ) –

true if the picture extension could be parsed correctly, false otherwise.

`picext` (GstCodecParsers.MpegVideoPictureExt ) –

true if the picture extension could be parsed correctly, false otherwise.

Since : 1.2

#### GstCodecParsers.MpegVideoPacket.parse_picture_extension

    def GstCodecParsers.MpegVideoPacket.parse_picture_extension (self):
        #python wrapper for 'gst_mpeg_video_packet_parse_picture_extension'

Parse the ext MPEG Video Picture Extension structure members from video packet

Parameters:

`packet` (GstCodecParsers.MpegVideoPacket) –

The GstCodecParsers.MpegVideoPacket that carries the data

Returns a tuple made of:

(bool ) –

True if the picture extension could be parsed correctly, False otherwise.

`picext` (GstCodecParsers.MpegVideoPictureExt ) –

True if the picture extension could be parsed correctly, False otherwise.

Since : 1.2

#### gst_mpeg_video_packet_parse_picture_header

    gboolean
    gst_mpeg_video_packet_parse_picture_header (const GstMpegVideoPacket * packet,
                                                GstMpegVideoPictureHdr * pichdr)

Parsers the pichdr MPEG Video Picture Header structure members from video packet

Parameters:

`packet` –

The GstMpegVideoPacket that carries the data

`pichdr` ( [out]) –

The GstMpegVideoPictureHdr structure to fill

Returns –

TRUE if the picture sequence could be parsed correctly, FALSE otherwise.

Since : 1.2

#### GstCodecParsers.MpegVideoPacket.prototype.parse_picture_header

    function GstCodecParsers.MpegVideoPacket.prototype.parse_picture_header(): {
        // javascript wrapper for 'gst_mpeg_video_packet_parse_picture_header'
    }

Parsers the pichdr MPEG Video Picture Header structure members from video packet

Parameters:

`packet` (GstCodecParsers.MpegVideoPacket) –

The GstCodecParsers.MpegVideoPacket that carries the data

Returns a tuple made of:

(Number ) –

true if the picture sequence could be parsed correctly, false otherwise.

`pichdr` (GstCodecParsers.MpegVideoPictureHdr ) –

true if the picture sequence could be parsed correctly, false otherwise.

Since : 1.2

#### GstCodecParsers.MpegVideoPacket.parse_picture_header

    def GstCodecParsers.MpegVideoPacket.parse_picture_header (self):
        #python wrapper for 'gst_mpeg_video_packet_parse_picture_header'

Parsers the pichdr MPEG Video Picture Header structure members from video packet

Parameters:

`packet` (GstCodecParsers.MpegVideoPacket) –

The GstCodecParsers.MpegVideoPacket that carries the data

Returns a tuple made of:

(bool ) –

True if the picture sequence could be parsed correctly, False otherwise.

`pichdr` (GstCodecParsers.MpegVideoPictureHdr ) –

True if the picture sequence could be parsed correctly, False otherwise.

Since : 1.2

#### gst_mpeg_video_packet_parse_quant_matrix_extension

    gboolean
    gst_mpeg_video_packet_parse_quant_matrix_extension (const GstMpegVideoPacket * packet,
                                                        GstMpegVideoQuantMatrixExt * quant)

Parses the quant MPEG Video Quantization Matrix Extension structure members from video packet

Parameters:

`packet` –

The GstMpegVideoPacket that carries the data

`quant` ( [out]) –

The GstMpegVideoQuantMatrixExt structure to fill

Returns –

TRUE if the quant matrix extension could be parsed correctly, FALSE otherwise.

Since : 1.2

#### GstCodecParsers.MpegVideoPacket.prototype.parse_quant_matrix_extension

    function GstCodecParsers.MpegVideoPacket.prototype.parse_quant_matrix_extension(): {
        // javascript wrapper for 'gst_mpeg_video_packet_parse_quant_matrix_extension'
    }

Parses the quant MPEG Video Quantization Matrix Extension structure members from video packet

Parameters:

`packet` (GstCodecParsers.MpegVideoPacket) –

The GstCodecParsers.MpegVideoPacket that carries the data

Returns a tuple made of:

(Number ) –

true if the quant matrix extension could be parsed correctly, false otherwise.

`quant` (GstCodecParsers.MpegVideoQuantMatrixExt ) –

true if the quant matrix extension could be parsed correctly, false otherwise.

Since : 1.2

#### GstCodecParsers.MpegVideoPacket.parse_quant_matrix_extension

    def GstCodecParsers.MpegVideoPacket.parse_quant_matrix_extension (self):
        #python wrapper for 'gst_mpeg_video_packet_parse_quant_matrix_extension'

Parses the quant MPEG Video Quantization Matrix Extension structure members from video packet

Parameters:

`packet` (GstCodecParsers.MpegVideoPacket) –

The GstCodecParsers.MpegVideoPacket that carries the data

Returns a tuple made of:

(bool ) –

True if the quant matrix extension could be parsed correctly, False otherwise.

`quant` (GstCodecParsers.MpegVideoQuantMatrixExt ) –

True if the quant matrix extension could be parsed correctly, False otherwise.

Since : 1.2

#### gst_mpeg_video_packet_parse_sequence_display_extension

    gboolean
    gst_mpeg_video_packet_parse_sequence_display_extension (const GstMpegVideoPacket * packet,
                                                            GstMpegVideoSequenceDisplayExt * seqdisplayext)

Parses the seqext MPEG Video Sequence Display Extension structure members from video packet

Parameters:

`packet` –

The GstMpegVideoPacket that carries the data

`seqdisplayext` ( [out]) –

The GstMpegVideoSequenceDisplayExt structure to fill

Returns –

TRUE if the seqext could be parsed correctly, FALSE otherwise.

Since : 1.2

#### GstCodecParsers.MpegVideoPacket.prototype.parse_sequence_display_extension

    function GstCodecParsers.MpegVideoPacket.prototype.parse_sequence_display_extension(): {
        // javascript wrapper for 'gst_mpeg_video_packet_parse_sequence_display_extension'
    }

Parses the seqext MPEG Video Sequence Display Extension structure members from video packet

Parameters:

`packet` (GstCodecParsers.MpegVideoPacket) –

The GstCodecParsers.MpegVideoPacket that carries the data

Returns a tuple made of:

(Number ) –

true if the seqext could be parsed correctly, false otherwise.

`seqdisplayext` (GstCodecParsers.MpegVideoSequenceDisplayExt ) –

true if the seqext could be parsed correctly, false otherwise.

Since : 1.2

#### GstCodecParsers.MpegVideoPacket.parse_sequence_display_extension

    def GstCodecParsers.MpegVideoPacket.parse_sequence_display_extension (self):
        #python wrapper for 'gst_mpeg_video_packet_parse_sequence_display_extension'

Parses the seqext MPEG Video Sequence Display Extension structure members from video packet

Parameters:

`packet` (GstCodecParsers.MpegVideoPacket) –

The GstCodecParsers.MpegVideoPacket that carries the data

Returns a tuple made of:

(bool ) –

True if the seqext could be parsed correctly, False otherwise.

`seqdisplayext` (GstCodecParsers.MpegVideoSequenceDisplayExt ) –

True if the seqext could be parsed correctly, False otherwise.

Since : 1.2

#### gst_mpeg_video_packet_parse_sequence_extension

    gboolean
    gst_mpeg_video_packet_parse_sequence_extension (const GstMpegVideoPacket * packet,
                                                    GstMpegVideoSequenceExt * seqext)

Parses the seqext MPEG Video Sequence Extension structure members from video packet

Parameters:

`packet` –

The GstMpegVideoPacket that carries the data

`seqext` ( [out]) –

The GstMpegVideoSequenceExt structure to fill

Returns –

TRUE if the seqext could be parsed correctly, FALSE otherwise.

Since : 1.2

#### GstCodecParsers.MpegVideoPacket.prototype.parse_sequence_extension

    function GstCodecParsers.MpegVideoPacket.prototype.parse_sequence_extension(): {
        // javascript wrapper for 'gst_mpeg_video_packet_parse_sequence_extension'
    }

Parses the seqext MPEG Video Sequence Extension structure members from video packet

Parameters:

`packet` (GstCodecParsers.MpegVideoPacket) –

The GstCodecParsers.MpegVideoPacket that carries the data

Returns a tuple made of:

(Number ) –

true if the seqext could be parsed correctly, false otherwise.

`seqext` (GstCodecParsers.MpegVideoSequenceExt ) –

true if the seqext could be parsed correctly, false otherwise.

Since : 1.2

#### GstCodecParsers.MpegVideoPacket.parse_sequence_extension

    def GstCodecParsers.MpegVideoPacket.parse_sequence_extension (self):
        #python wrapper for 'gst_mpeg_video_packet_parse_sequence_extension'

Parses the seqext MPEG Video Sequence Extension structure members from video packet

Parameters:

`packet` (GstCodecParsers.MpegVideoPacket) –

The GstCodecParsers.MpegVideoPacket that carries the data

Returns a tuple made of:

(bool ) –

True if the seqext could be parsed correctly, False otherwise.

`seqext` (GstCodecParsers.MpegVideoSequenceExt ) –

True if the seqext could be parsed correctly, False otherwise.

Since : 1.2

#### gst_mpeg_video_packet_parse_sequence_header

    gboolean
    gst_mpeg_video_packet_parse_sequence_header (const GstMpegVideoPacket * packet,
                                                 GstMpegVideoSequenceHdr * seqhdr)

Parses the seqhdr MPEG Video Sequence Header structure members from video packet

Parameters:

`packet` –

The GstMpegVideoPacket that carries the data

`seqhdr` ( [out]) –

The GstMpegVideoSequenceHdr structure to fill

Returns –

TRUE if the seqhdr could be parsed correctly, FALSE otherwise.

Since : 1.2

#### GstCodecParsers.MpegVideoPacket.prototype.parse_sequence_header

    function GstCodecParsers.MpegVideoPacket.prototype.parse_sequence_header(): {
        // javascript wrapper for 'gst_mpeg_video_packet_parse_sequence_header'
    }

Parses the seqhdr MPEG Video Sequence Header structure members from video packet

Parameters:

`packet` (GstCodecParsers.MpegVideoPacket) –

The GstCodecParsers.MpegVideoPacket that carries the data

Returns a tuple made of:

(Number ) –

true if the seqhdr could be parsed correctly, false otherwise.

`seqhdr` (GstCodecParsers.MpegVideoSequenceHdr ) –

true if the seqhdr could be parsed correctly, false otherwise.

Since : 1.2

#### GstCodecParsers.MpegVideoPacket.parse_sequence_header

    def GstCodecParsers.MpegVideoPacket.parse_sequence_header (self):
        #python wrapper for 'gst_mpeg_video_packet_parse_sequence_header'

Parses the seqhdr MPEG Video Sequence Header structure members from video packet

Parameters:

`packet` (GstCodecParsers.MpegVideoPacket) –

The GstCodecParsers.MpegVideoPacket that carries the data

Returns a tuple made of:

(bool ) –

True if the seqhdr could be parsed correctly, False otherwise.

`seqhdr` (GstCodecParsers.MpegVideoSequenceHdr ) –

True if the seqhdr could be parsed correctly, False otherwise.

Since : 1.2

#### gst_mpeg_video_packet_parse_sequence_scalable_extension

    gboolean
    gst_mpeg_video_packet_parse_sequence_scalable_extension (const GstMpegVideoPacket * packet,
                                                             GstMpegVideoSequenceScalableExt * seqscaleext)

Parses the seqscaleext MPEG Video Sequence Scalable Extension structure members from video packet

Parameters:

`packet` –

The GstMpegVideoPacket that carries the data

`seqscaleext` ( [out]) –

The GstMpegVideoSequenceScalableExt structure to fill

Returns –

TRUE if the seqext could be parsed correctly, FALSE otherwise.

Since : 1.2

#### GstCodecParsers.MpegVideoPacket.prototype.parse_sequence_scalable_extension

    function GstCodecParsers.MpegVideoPacket.prototype.parse_sequence_scalable_extension(): {
        // javascript wrapper for 'gst_mpeg_video_packet_parse_sequence_scalable_extension'
    }

Parses the seqscaleext MPEG Video Sequence Scalable Extension structure members from video packet

Parameters:

`packet` (GstCodecParsers.MpegVideoPacket) –

The GstCodecParsers.MpegVideoPacket that carries the data

Returns a tuple made of:

(Number ) –

true if the seqext could be parsed correctly, false otherwise.

`seqscaleext` (GstCodecParsers.MpegVideoSequenceScalableExt ) –

true if the seqext could be parsed correctly, false otherwise.

Since : 1.2

#### GstCodecParsers.MpegVideoPacket.parse_sequence_scalable_extension

    def GstCodecParsers.MpegVideoPacket.parse_sequence_scalable_extension (self):
        #python wrapper for 'gst_mpeg_video_packet_parse_sequence_scalable_extension'

Parses the seqscaleext MPEG Video Sequence Scalable Extension structure members from video packet

Parameters:

`packet` (GstCodecParsers.MpegVideoPacket) –

The GstCodecParsers.MpegVideoPacket that carries the data

Returns a tuple made of:

(bool ) –

True if the seqext could be parsed correctly, False otherwise.

`seqscaleext` (GstCodecParsers.MpegVideoSequenceScalableExt ) –

True if the seqext could be parsed correctly, False otherwise.

Since : 1.2

#### gst_mpeg_video_packet_parse_slice_header

    gboolean
    gst_mpeg_video_packet_parse_slice_header (const GstMpegVideoPacket * packet,
                                              GstMpegVideoSliceHdr * slice_hdr,
                                              GstMpegVideoSequenceHdr * seq_hdr,
                                              GstMpegVideoSequenceScalableExt * seqscaleext)

Parses the GstMpegVideoSliceHdr structure members from data

Parameters:

`packet` –

The GstMpegVideoPacket that carries the data

`slice_hdr` ( [out]) –

The GstMpegVideoSliceHdr structure to fill

`seq_hdr` –

The GstMpegVideoSequenceHdr header

`seqscaleext` –

The GstMpegVideoSequenceScalableExt header

Returns –

TRUE if the slice could be parsed correctly, FALSE otherwise.

Since : 1.2

#### GstCodecParsers.MpegVideoPacket.prototype.parse_slice_header

    function GstCodecParsers.MpegVideoPacket.prototype.parse_slice_header(seq_hdr: GstCodecParsers.MpegVideoSequenceHdr, seqscaleext: GstCodecParsers.MpegVideoSequenceScalableExt): {
        // javascript wrapper for 'gst_mpeg_video_packet_parse_slice_header'
    }

Parses the GstMpegVideoSliceHdr structure members from data

Parameters:

`packet` (GstCodecParsers.MpegVideoPacket) –

The GstCodecParsers.MpegVideoPacket that carries the data

`seq_hdr` (GstCodecParsers.MpegVideoSequenceHdr) –

The GstCodecParsers.MpegVideoSequenceHdr header

`seqscaleext` (GstCodecParsers.MpegVideoSequenceScalableExt) –

The GstCodecParsers.MpegVideoSequenceScalableExt header

Returns a tuple made of:

(Number ) –

true if the slice could be parsed correctly, false otherwise.

`slice_hdr` (GstCodecParsers.MpegVideoSliceHdr ) –

true if the slice could be parsed correctly, false otherwise.

Since : 1.2

#### GstCodecParsers.MpegVideoPacket.parse_slice_header

    def GstCodecParsers.MpegVideoPacket.parse_slice_header (self, seq_hdr, seqscaleext):
        #python wrapper for 'gst_mpeg_video_packet_parse_slice_header'

Parses the GstMpegVideoSliceHdr structure members from data

Parameters:

`packet` (GstCodecParsers.MpegVideoPacket) –

The GstCodecParsers.MpegVideoPacket that carries the data

`seq_hdr` (GstCodecParsers.MpegVideoSequenceHdr) –

The GstCodecParsers.MpegVideoSequenceHdr header

`seqscaleext` (GstCodecParsers.MpegVideoSequenceScalableExt) –

The GstCodecParsers.MpegVideoSequenceScalableExt header

Returns a tuple made of:

(bool ) –

True if the slice could be parsed correctly, False otherwise.

`slice_hdr` (GstCodecParsers.MpegVideoSliceHdr ) –

True if the slice could be parsed correctly, False otherwise.

Since : 1.2

## GstMpegVideoPictureExt

The Mpeg2 Video Picture Extension structure.

### Members

`f_code` (guint8 *) –
No description available
`intra_dc_precision` (guint8) –

Intra DC precision

`picture_structure` (guint8) –

Structure of the picture

`top_field_first` (guint8) –

Top field first

`frame_pred_frame_dct` (guint8) –

Frame

`concealment_motion_vectors` (guint8) –

Concealment Motion Vectors

`q_scale_type` (guint8) –

Q Scale Type

`intra_vlc_format` (guint8) –

Intra Vlc Format

`alternate_scan` (guint8) –

Alternate Scan

`repeat_first_field` (guint8) –

Repeat First Field

`chroma_420_type` (guint8) –

Chroma 420 Type

`progressive_frame` (guint8) –

TRUE if the frame is progressive FALSE otherwise

`composite_display` (guint8) –
No description available
`v_axis` (guint8) –
No description available
`field_sequence` (guint8) –
No description available
`sub_carrier` (guint8) –
No description available
`burst_amplitude` (guint8) –
No description available
`sub_carrier_phase` (guint8) –
No description available

## GstCodecParsers.MpegVideoPictureExt

The Mpeg2 Video Picture Extension structure.

### Members

`f_code` ([ Number ]) –
No description available
`intra_dc_precision` (Number) –

Intra DC precision

`picture_structure` (Number) –

Structure of the picture

`top_field_first` (Number) –

Top field first

`frame_pred_frame_dct` (Number) –

Frame

`concealment_motion_vectors` (Number) –

Concealment Motion Vectors

`q_scale_type` (Number) –

Q Scale Type

`intra_vlc_format` (Number) –

Intra Vlc Format

`alternate_scan` (Number) –

Alternate Scan

`repeat_first_field` (Number) –

Repeat First Field

`chroma_420_type` (Number) –

Chroma 420 Type

`progressive_frame` (Number) –

true if the frame is progressive false otherwise

`composite_display` (Number) –
No description available
`v_axis` (Number) –
No description available
`field_sequence` (Number) –
No description available
`sub_carrier` (Number) –
No description available
`burst_amplitude` (Number) –
No description available
`sub_carrier_phase` (Number) –
No description available

## GstCodecParsers.MpegVideoPictureExt

The Mpeg2 Video Picture Extension structure.

### Members

`f_code` ([ int ]) –
No description available
`intra_dc_precision` (int) –

Intra DC precision

`picture_structure` (int) –

Structure of the picture

`top_field_first` (int) –

Top field first

`frame_pred_frame_dct` (int) –

Frame

`concealment_motion_vectors` (int) –

Concealment Motion Vectors

`q_scale_type` (int) –

Q Scale Type

`intra_vlc_format` (int) –

Intra Vlc Format

`alternate_scan` (int) –

Alternate Scan

`repeat_first_field` (int) –

Repeat First Field

`chroma_420_type` (int) –

Chroma 420 Type

`progressive_frame` (int) –

True if the frame is progressive False otherwise

`composite_display` (int) –
No description available
`v_axis` (int) –
No description available
`field_sequence` (int) –
No description available
`sub_carrier` (int) –
No description available
`burst_amplitude` (int) –
No description available
`sub_carrier_phase` (int) –
No description available

## GstMpegVideoPictureHdr

The Mpeg2 Video Picture Header structure.

### Members

`tsn` (guint16) –

Temporal Sequence Number

`pic_type` (guint8) –

Type of the frame

`vbv_delay` (guint16) –
No description available
`full_pel_forward_vector` (guint8) –

the full pel forward flag of the frame: 0 or 1.

`full_pel_backward_vector` (guint8) –

the full pel backward flag of the frame: 0 or 1.

`f_code` (guint8 *) –

F code

## GstCodecParsers.MpegVideoPictureHdr

The Mpeg2 Video Picture Header structure.

### Members

`tsn` (Number) –

Temporal Sequence Number

`pic_type` (Number) –

Type of the frame

`vbv_delay` (Number) –
No description available
`full_pel_forward_vector` (Number) –

the full pel forward flag of the frame: 0 or 1.

`full_pel_backward_vector` (Number) –

the full pel backward flag of the frame: 0 or 1.

`f_code` ([ Number ]) –

F code

## GstCodecParsers.MpegVideoPictureHdr

The Mpeg2 Video Picture Header structure.

### Members

`tsn` (int) –

Temporal Sequence Number

`pic_type` (int) –

Type of the frame

`vbv_delay` (int) –
No description available
`full_pel_forward_vector` (int) –

the full pel forward flag of the frame: 0 or 1.

`full_pel_backward_vector` (int) –

the full pel backward flag of the frame: 0 or 1.

`f_code` ([ int ]) –

F code

## GstMpegVideoQuantMatrixExt

The Quant Matrix Extension structure that exposes quantization matrices in zigzag scan order. i.e. the original encoded scan order.

### Members

`load_intra_quantiser_matrix` (guint8) –
No description available
`intra_quantiser_matrix` (guint8 *) –
No description available
`load_non_intra_quantiser_matrix` (guint8) –
No description available
`non_intra_quantiser_matrix` (guint8 *) –
No description available
`load_chroma_intra_quantiser_matrix` (guint8) –
No description available
`chroma_intra_quantiser_matrix` (guint8 *) –
No description available
`load_chroma_non_intra_quantiser_matrix` (guint8) –
No description available
`chroma_non_intra_quantiser_matrix` (guint8 *) –
No description available

## GstCodecParsers.MpegVideoQuantMatrixExt

The Quant Matrix Extension structure that exposes quantization matrices in zigzag scan order. i.e. the original encoded scan order.

### Members

`load_intra_quantiser_matrix` (Number) –
No description available
`intra_quantiser_matrix` ([ Number ]) –
No description available
`load_non_intra_quantiser_matrix` (Number) –
No description available
`non_intra_quantiser_matrix` ([ Number ]) –
No description available
`load_chroma_intra_quantiser_matrix` (Number) –
No description available
`chroma_intra_quantiser_matrix` ([ Number ]) –
No description available
`load_chroma_non_intra_quantiser_matrix` (Number) –
No description available
`chroma_non_intra_quantiser_matrix` ([ Number ]) –
No description available

## GstCodecParsers.MpegVideoQuantMatrixExt

The Quant Matrix Extension structure that exposes quantization matrices in zigzag scan order. i.e. the original encoded scan order.

### Members

`load_intra_quantiser_matrix` (int) –
No description available
`intra_quantiser_matrix` ([ int ]) –
No description available
`load_non_intra_quantiser_matrix` (int) –
No description available
`non_intra_quantiser_matrix` ([ int ]) –
No description available
`load_chroma_intra_quantiser_matrix` (int) –
No description available
`chroma_intra_quantiser_matrix` ([ int ]) –
No description available
`load_chroma_non_intra_quantiser_matrix` (int) –
No description available
`chroma_non_intra_quantiser_matrix` ([ int ]) –
No description available

## GstMpegVideoSequenceDisplayExt

### Members

`video_format` (guint8) –

3-bit video_format field indicating PAL/NTSC etc.

`colour_description_flag` (guint8) –

TRUE if colour information was provided

`colour_primaries` (guint8) –

Valid if colour_description_flag is set

`transfer_characteristics` (guint8) –

Valid if colour_description_flag is set

`matrix_coefficients` (guint8) –

Valid if colour_description_flag is set

`display_horizontal_size` (guint16) –

width of decoded frame sub-region to display

`display_vertical_size` (guint16) –

height of decoded frame sub-region to display

## GstCodecParsers.MpegVideoSequenceDisplayExt

### Members

`video_format` (Number) –

3-bit video_format field indicating PAL/NTSC etc.

`colour_description_flag` (Number) –

true if colour information was provided

`colour_primaries` (Number) –

Valid if colour_description_flag is set

`transfer_characteristics` (Number) –

Valid if colour_description_flag is set

`matrix_coefficients` (Number) –

Valid if colour_description_flag is set

`display_horizontal_size` (Number) –

width of decoded frame sub-region to display

`display_vertical_size` (Number) –

height of decoded frame sub-region to display

## GstCodecParsers.MpegVideoSequenceDisplayExt

### Members

`video_format` (int) –

3-bit video_format field indicating PAL/NTSC etc.

`colour_description_flag` (int) –

True if colour information was provided

`colour_primaries` (int) –

Valid if colour_description_flag is set

`transfer_characteristics` (int) –

Valid if colour_description_flag is set

`matrix_coefficients` (int) –

Valid if colour_description_flag is set

`display_horizontal_size` (int) –

width of decoded frame sub-region to display

`display_vertical_size` (int) –

height of decoded frame sub-region to display

## GstMpegVideoSequenceExt

The Mpeg2 Video Sequence Extension structure.

### Members

`profile` (guint8) –

mpeg2 decoder profile

`level` (guint8) –

mpeg2 decoder level

`progressive` (guint8) –

TRUE if the frames are progressive FALSE otherwise

`chroma_format` (guint8) –

indicates the chrominance format

`horiz_size_ext` (guint8) –

Horizontal size

`vert_size_ext` (guint8) –

Vertical size

`bitrate_ext` (guint16) –

The bitrate

`vbv_buffer_size_extension` (guint8) –

VBV buffer size

`low_delay` (guint8) –

TRUE if the sequence doesn't contain any B-pictures, FALSE otherwise

`fps_n_ext` (guint8) –

Framerate nominator code

`fps_d_ext` (guint8) –

Framerate denominator code

`profile_level_escape_bit` (guint8) –

Escape bit. If set, the meaning of the profile and level fields is different.

## GstCodecParsers.MpegVideoSequenceExt

The Mpeg2 Video Sequence Extension structure.

### Members

`profile` (Number) –

mpeg2 decoder profile

`level` (Number) –

mpeg2 decoder level

`progressive` (Number) –

true if the frames are progressive false otherwise

`chroma_format` (Number) –

indicates the chrominance format

`horiz_size_ext` (Number) –

Horizontal size

`vert_size_ext` (Number) –

Vertical size

`bitrate_ext` (Number) –

The bitrate

`vbv_buffer_size_extension` (Number) –

VBV buffer size

`low_delay` (Number) –

true if the sequence doesn't contain any B-pictures, false otherwise

`fps_n_ext` (Number) –

Framerate nominator code

`fps_d_ext` (Number) –

Framerate denominator code

`profile_level_escape_bit` (Number) –

Escape bit. If set, the meaning of the profile and level fields is different.

## GstCodecParsers.MpegVideoSequenceExt

The Mpeg2 Video Sequence Extension structure.

### Members

`profile` (int) –

mpeg2 decoder profile

`level` (int) –

mpeg2 decoder level

`progressive` (int) –

True if the frames are progressive False otherwise

`chroma_format` (int) –

indicates the chrominance format

`horiz_size_ext` (int) –

Horizontal size

`vert_size_ext` (int) –

Vertical size

`bitrate_ext` (int) –

The bitrate

`vbv_buffer_size_extension` (int) –

VBV buffer size

`low_delay` (int) –

True if the sequence doesn't contain any B-pictures, False otherwise

`fps_n_ext` (int) –

Framerate nominator code

`fps_d_ext` (int) –

Framerate denominator code

`profile_level_escape_bit` (int) –

Escape bit. If set, the meaning of the profile and level fields is different.

## GstMpegVideoSequenceHdr

The Mpeg2 Video Sequence Header structure.

### Members

`width` (guint16) –

Width of each frame

`height` (guint16) –

Height of each frame

`aspect_ratio_info` (guint8) –
No description available
`frame_rate_code` (guint8) –
No description available
`bitrate_value` (guint32) –

Value of the bitrate as is in the stream (400bps unit)

`vbv_buffer_size_value` (guint16) –
No description available
`constrained_parameters_flag` (guint8) –

TRUE if this stream uses constrained parameters.

`load_intra_quantiser_matrix` (guint8) –

TRUE indicates the presence of intra_quantiser_matrix

`intra_quantizer_matrix` (guint8 *) –

intra-quantization table, in zigzag scan order

`load_non_intra_quantiser_matrix` (guint8) –

TRUE indicates the presence of non_intra_quantiser_matrix

`non_intra_quantizer_matrix` (guint8 *) –

non-intra quantization table, in zigzag scan order

`par_w` (guint) –

Calculated Pixel Aspect Ratio width

`par_h` (guint) –

Calculated Pixel Aspect Ratio height

`fps_n` (guint) –

Calculated Framrate nominator

`fps_d` (guint) –

Calculated Framerate denominator

`bitrate` (guint) –

the real bitrate of the Mpeg video stream in bits per second, 0 if VBR stream

## GstCodecParsers.MpegVideoSequenceHdr

The Mpeg2 Video Sequence Header structure.

### Members

`width` (Number) –

Width of each frame

`height` (Number) –

Height of each frame

`aspect_ratio_info` (Number) –
No description available
`frame_rate_code` (Number) –
No description available
`bitrate_value` (Number) –

Value of the bitrate as is in the stream (400bps unit)

`vbv_buffer_size_value` (Number) –
No description available
`constrained_parameters_flag` (Number) –

true if this stream uses constrained parameters.

`load_intra_quantiser_matrix` (Number) –

true indicates the presence of intra_quantiser_matrix

`intra_quantizer_matrix` ([ Number ]) –

intra-quantization table, in zigzag scan order

`load_non_intra_quantiser_matrix` (Number) –

true indicates the presence of non_intra_quantiser_matrix

`non_intra_quantizer_matrix` ([ Number ]) –

non-intra quantization table, in zigzag scan order

`par_w` (Number) –

Calculated Pixel Aspect Ratio width

`par_h` (Number) –

Calculated Pixel Aspect Ratio height

`fps_n` (Number) –

Calculated Framrate nominator

`fps_d` (Number) –

Calculated Framerate denominator

`bitrate` (Number) –

the real bitrate of the Mpeg video stream in bits per second, 0 if VBR stream

## GstCodecParsers.MpegVideoSequenceHdr

The Mpeg2 Video Sequence Header structure.

### Members

`width` (int) –

Width of each frame

`height` (int) –

Height of each frame

`aspect_ratio_info` (int) –
No description available
`frame_rate_code` (int) –
No description available
`bitrate_value` (int) –

Value of the bitrate as is in the stream (400bps unit)

`vbv_buffer_size_value` (int) –
No description available
`constrained_parameters_flag` (int) –

True if this stream uses constrained parameters.

`load_intra_quantiser_matrix` (int) –

True indicates the presence of intra_quantiser_matrix

`intra_quantizer_matrix` ([ int ]) –

intra-quantization table, in zigzag scan order

`load_non_intra_quantiser_matrix` (int) –

True indicates the presence of non_intra_quantiser_matrix

`non_intra_quantizer_matrix` ([ int ]) –

non-intra quantization table, in zigzag scan order

`par_w` (int) –

Calculated Pixel Aspect Ratio width

`par_h` (int) –

Calculated Pixel Aspect Ratio height

`fps_n` (int) –

Calculated Framrate nominator

`fps_d` (int) –

Calculated Framerate denominator

`bitrate` (int) –

the real bitrate of the Mpeg video stream in bits per second, 0 if VBR stream

## GstMpegVideoSequenceScalableExt

The Sequence Scalable Extension structure.

### Members

`scalable_mode` (guint8) –
No description available
`layer_id` (guint8) –
No description available
`lower_layer_prediction_horizontal_size` (guint16) –
No description available
`lower_layer_prediction_vertical_size` (guint16) –
No description available
`horizontal_subsampling_factor_m` (guint8) –
No description available
`horizontal_subsampling_factor_n` (guint8) –
No description available
`vertical_subsampling_factor_m` (guint8) –
No description available
`vertical_subsampling_factor_n` (guint8) –
No description available
`picture_mux_enable` (guint8) –
No description available
`mux_to_progressive_sequence` (guint8) –
No description available
`picture_mux_order` (guint8) –
No description available
`picture_mux_factor` (guint8) –
No description available

Since : 1.2

## GstCodecParsers.MpegVideoSequenceScalableExt

The Sequence Scalable Extension structure.

### Members

`scalable_mode` (Number) –
No description available
`layer_id` (Number) –
No description available
`lower_layer_prediction_horizontal_size` (Number) –
No description available
`lower_layer_prediction_vertical_size` (Number) –
No description available
`horizontal_subsampling_factor_m` (Number) –
No description available
`horizontal_subsampling_factor_n` (Number) –
No description available
`vertical_subsampling_factor_m` (Number) –
No description available
`vertical_subsampling_factor_n` (Number) –
No description available
`picture_mux_enable` (Number) –
No description available
`mux_to_progressive_sequence` (Number) –
No description available
`picture_mux_order` (Number) –
No description available
`picture_mux_factor` (Number) –
No description available

Since : 1.2

## GstCodecParsers.MpegVideoSequenceScalableExt

The Sequence Scalable Extension structure.

### Members

`scalable_mode` (int) –
No description available
`layer_id` (int) –
No description available
`lower_layer_prediction_horizontal_size` (int) –
No description available
`lower_layer_prediction_vertical_size` (int) –
No description available
`horizontal_subsampling_factor_m` (int) –
No description available
`horizontal_subsampling_factor_n` (int) –
No description available
`vertical_subsampling_factor_m` (int) –
No description available
`vertical_subsampling_factor_n` (int) –
No description available
`picture_mux_enable` (int) –
No description available
`mux_to_progressive_sequence` (int) –
No description available
`picture_mux_order` (int) –
No description available
`picture_mux_factor` (int) –
No description available

Since : 1.2

## GstMpegVideoSliceHdr

The Mpeg2 Video Slice Header structure.

### Members

`vertical_position` (guint8) –

slice vertical position

`vertical_position_ext` (guint8) –
No description available
`priority_breakpoint` (guint8) –

Point where the bitstream shall be partitioned

`quantiser_scale_code` (guint8) –

Quantiser value (range: 1-31)

`slice_ext_flag` (guint8) –

Slice Extension flag

`intra_slice` (guint8) –

Equal to one if all the macroblocks are intra macro blocks.

`slice_picture_id_enable` (guint8) –

controls the semantics of slice_picture_id

`slice_picture_id` (guint8) –

Intended to aid recovery on severe bursts of errors for certain types of applications

`header_size` (guint) –
No description available
`mb_row` (gint) –
No description available
`mb_column` (gint) –
No description available

Since : 1.2

## GstCodecParsers.MpegVideoSliceHdr

The Mpeg2 Video Slice Header structure.

### Members

`vertical_position` (Number) –

slice vertical position

`vertical_position_ext` (Number) –
No description available
`priority_breakpoint` (Number) –

Point where the bitstream shall be partitioned

`quantiser_scale_code` (Number) –

Quantiser value (range: 1-31)

`slice_ext_flag` (Number) –

Slice Extension flag

`intra_slice` (Number) –

Equal to one if all the macroblocks are intra macro blocks.

`slice_picture_id_enable` (Number) –

controls the semantics of slice_picture_id

`slice_picture_id` (Number) –

Intended to aid recovery on severe bursts of errors for certain types of applications

`header_size` (Number) –
No description available
`mb_row` (Number) –
No description available
`mb_column` (Number) –
No description available

Since : 1.2

## GstCodecParsers.MpegVideoSliceHdr

The Mpeg2 Video Slice Header structure.

### Members

`vertical_position` (int) –

slice vertical position

`vertical_position_ext` (int) –
No description available
`priority_breakpoint` (int) –

Point where the bitstream shall be partitioned

`quantiser_scale_code` (int) –

Quantiser value (range: 1-31)

`slice_ext_flag` (int) –

Slice Extension flag

`intra_slice` (int) –

Equal to one if all the macroblocks are intra macro blocks.

`slice_picture_id_enable` (int) –

controls the semantics of slice_picture_id

`slice_picture_id` (int) –

Intended to aid recovery on severe bursts of errors for certain types of applications

`header_size` (int) –
No description available
`mb_row` (int) –
No description available
`mb_column` (int) –
No description available

Since : 1.2

## Functions

### gst_buffer_add_mpeg_video_meta

    GstMpegVideoMeta *
    gst_buffer_add_mpeg_video_meta (GstBuffer * buffer,
                                    const GstMpegVideoSequenceHdr * seq_hdr,
                                    const GstMpegVideoSequenceExt * seq_ext,
                                    const GstMpegVideoSequenceDisplayExt * disp_ext,
                                    const GstMpegVideoPictureHdr * pic_hdr,
                                    const GstMpegVideoPictureExt * pic_ext,
                                    const GstMpegVideoQuantMatrixExt * quant_ext)

Creates and adds a GstMpegVideoMeta to a buffer. Provided structures must either be NULL or GSlice-allocated.

Parameters:

`buffer` –

a GstBuffer

`seq_hdr` –

a GstMpegVideoSequenceHdr

`seq_ext` –

a GstMpegVideoSequenceExt

`disp_ext` –

a GstMpegVideoSequenceDisplayExt

`pic_hdr` –

a GstMpegVideoPictureHdr

`pic_ext` –

a GstMpegVideoPictureExt

`quant_ext` –

a GstMpegVideoQuantMatrixExt

Returns ( [transfer: none]) –

a newly created GstMpegVideoMeta

Since : 1.2

### GstCodecParsers.prototype.buffer_add_mpeg_video_meta

    function GstCodecParsers.prototype.buffer_add_mpeg_video_meta(buffer: Gst.Buffer, seq_hdr: GstCodecParsers.MpegVideoSequenceHdr, seq_ext: GstCodecParsers.MpegVideoSequenceExt, disp_ext: GstCodecParsers.MpegVideoSequenceDisplayExt, pic_hdr: GstCodecParsers.MpegVideoPictureHdr, pic_ext: GstCodecParsers.MpegVideoPictureExt, quant_ext: GstCodecParsers.MpegVideoQuantMatrixExt): {
        // javascript wrapper for 'gst_buffer_add_mpeg_video_meta'
    }

Creates and adds a GstCodecParsers.MpegVideoMeta to a buffer. Provided structures must either be null or GSlice-allocated.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`seq_hdr` (GstCodecParsers.MpegVideoSequenceHdr) –

a GstCodecParsers.MpegVideoSequenceHdr

`seq_ext` (GstCodecParsers.MpegVideoSequenceExt) –

a GstCodecParsers.MpegVideoSequenceExt

`disp_ext` (GstCodecParsers.MpegVideoSequenceDisplayExt) –

a GstCodecParsers.MpegVideoSequenceDisplayExt

`pic_hdr` (GstCodecParsers.MpegVideoPictureHdr) –

a GstCodecParsers.MpegVideoPictureHdr

`pic_ext` (GstCodecParsers.MpegVideoPictureExt) –

a GstCodecParsers.MpegVideoPictureExt

`quant_ext` (GstCodecParsers.MpegVideoQuantMatrixExt) –

a GstCodecParsers.MpegVideoQuantMatrixExt

Returns (GstCodecParsers.MpegVideoMeta) –

a newly created GstCodecParsers.MpegVideoMeta

Since : 1.2

### GstCodecParsers.buffer_add_mpeg_video_meta

    def GstCodecParsers.buffer_add_mpeg_video_meta (buffer, seq_hdr, seq_ext, disp_ext, pic_hdr, pic_ext, quant_ext):
        #python wrapper for 'gst_buffer_add_mpeg_video_meta'

Creates and adds a GstCodecParsers.MpegVideoMeta to a buffer. Provided structures must either be None or GSlice-allocated.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`seq_hdr` (GstCodecParsers.MpegVideoSequenceHdr) –

a GstCodecParsers.MpegVideoSequenceHdr

`seq_ext` (GstCodecParsers.MpegVideoSequenceExt) –

a GstCodecParsers.MpegVideoSequenceExt

`disp_ext` (GstCodecParsers.MpegVideoSequenceDisplayExt) –

a GstCodecParsers.MpegVideoSequenceDisplayExt

`pic_hdr` (GstCodecParsers.MpegVideoPictureHdr) –

a GstCodecParsers.MpegVideoPictureHdr

`pic_ext` (GstCodecParsers.MpegVideoPictureExt) –

a GstCodecParsers.MpegVideoPictureExt

`quant_ext` (GstCodecParsers.MpegVideoQuantMatrixExt) –

a GstCodecParsers.MpegVideoQuantMatrixExt

Returns (GstCodecParsers.MpegVideoMeta) –

a newly created GstCodecParsers.MpegVideoMeta

Since : 1.2

### gst_mpeg_video_finalise_mpeg2_sequence_header

    gboolean
    gst_mpeg_video_finalise_mpeg2_sequence_header (GstMpegVideoSequenceHdr * hdr,
                                                   GstMpegVideoSequenceExt * seqext,
                                                   GstMpegVideoSequenceDisplayExt * displayext)

Parameters:

`hdr` –
No description available
`seqext` –
No description available
`displayext` –
No description available
Returns –
No description available

### GstCodecParsers.prototype.mpeg_video_finalise_mpeg2_sequence_header

    function GstCodecParsers.prototype.mpeg_video_finalise_mpeg2_sequence_header(hdr: GstCodecParsers.MpegVideoSequenceHdr, seqext: GstCodecParsers.MpegVideoSequenceExt, displayext: GstCodecParsers.MpegVideoSequenceDisplayExt): {
        // javascript wrapper for 'gst_mpeg_video_finalise_mpeg2_sequence_header'
    }

Parameters:

`hdr` (GstCodecParsers.MpegVideoSequenceHdr) –
No description available
`seqext` (GstCodecParsers.MpegVideoSequenceExt) –
No description available
`displayext` (GstCodecParsers.MpegVideoSequenceDisplayExt) –
No description available
Returns (Number) –
No description available

### GstCodecParsers.mpeg_video_finalise_mpeg2_sequence_header

    def GstCodecParsers.mpeg_video_finalise_mpeg2_sequence_header (hdr, seqext, displayext):
        #python wrapper for 'gst_mpeg_video_finalise_mpeg2_sequence_header'

Parameters:

`hdr` (GstCodecParsers.MpegVideoSequenceHdr) –
No description available
`seqext` (GstCodecParsers.MpegVideoSequenceExt) –
No description available
`displayext` (GstCodecParsers.MpegVideoSequenceDisplayExt) –
No description available
Returns (bool) –
No description available

### gst_mpeg_video_meta_api_get_type

    GType
    gst_mpeg_video_meta_api_get_type ()

Returns –
No description available

### GstCodecParsers.prototype.mpeg_video_meta_api_get_type

    function GstCodecParsers.prototype.mpeg_video_meta_api_get_type(): {
        // javascript wrapper for 'gst_mpeg_video_meta_api_get_type'
    }

Returns (GObject.Type) –
No description available

### GstCodecParsers.mpeg_video_meta_api_get_type

    def GstCodecParsers.mpeg_video_meta_api_get_type ():
        #python wrapper for 'gst_mpeg_video_meta_api_get_type'

Returns (GObject.Type) –
No description available

### gst_mpeg_video_parse

    gboolean
    gst_mpeg_video_parse (GstMpegVideoPacket * packet,
                          const guint8 * data,
                          gsize size,
                          guint offset)

Parses the MPEG 1/2 video bitstream contained in data, and returns the offset, and if known also the size, in packet. This function will scan the data to find the next packet if needed.

Parameters:

`packet` –

a GstMpegVideoPacket to fill with the data and offset of the next packet found

`data` –

The data to parse

`size` –

The size of data

`offset` –

The offset from which to start parsing

Returns –

TRUE if a packet start code was found, otherwise FALSE.

### GstCodecParsers.prototype.mpeg_video_parse

    function GstCodecParsers.prototype.mpeg_video_parse(packet: GstCodecParsers.MpegVideoPacket, data: Number, size: Number, offset: Number): {
        // javascript wrapper for 'gst_mpeg_video_parse'
    }

Parses the MPEG 1/2 video bitstream contained in data, and returns the offset, and if known also the size, in packet. This function will scan the data to find the next packet if needed.

Parameters:

`packet` (GstCodecParsers.MpegVideoPacket) –

a GstCodecParsers.MpegVideoPacket to fill with the data and offset of the next packet found

`data` (Number) –

The data to parse

`size` (Number) –

The size of data

`offset` (Number) –

The offset from which to start parsing

Returns (Number) –

TRUE if a packet start code was found, otherwise FALSE.

### GstCodecParsers.mpeg_video_parse

    def GstCodecParsers.mpeg_video_parse (packet, data, size, offset):
        #python wrapper for 'gst_mpeg_video_parse'

Parses the MPEG 1/2 video bitstream contained in data, and returns the offset, and if known also the size, in packet. This function will scan the data to find the next packet if needed.

Parameters:

`packet` (GstCodecParsers.MpegVideoPacket) –

a GstCodecParsers.MpegVideoPacket to fill with the data and offset of the next packet found

`data` (int) –

The data to parse

`size` (int) –

The size of data

`offset` (int) –

The offset from which to start parsing

Returns (bool) –

TRUE if a packet start code was found, otherwise FALSE.

### gst_mpeg_video_quant_matrix_get_raster_from_zigzag

    gst_mpeg_video_quant_matrix_get_raster_from_zigzag (guint8 * out_quant,
                                                        const guint8 * quant)

Converts quantization matrix quant from zigzag scan order to raster scan order and store the resulting factors into out_quant.

Note: it is an error to pass the same table in both quant and out_quant arguments.

Parameters:

`out_quant` ( [out]) –

The resulting quantization matrix

`quant` –

The source quantization matrix

Since : 1.2

### GstCodecParsers.prototype.mpeg_video_quant_matrix_get_raster_from_zigzag

    function GstCodecParsers.prototype.mpeg_video_quant_matrix_get_raster_from_zigzag(quant: Number): {
        // javascript wrapper for 'gst_mpeg_video_quant_matrix_get_raster_from_zigzag'
    }

Converts quantization matrix quant from zigzag scan order to raster scan order and store the resulting factors into out_quant.

Note: it is an error to pass the same table in both quant and out_quant arguments.

Parameters:

`quant` (Number) –

The source quantization matrix

Since : 1.2

### GstCodecParsers.mpeg_video_quant_matrix_get_raster_from_zigzag

    def GstCodecParsers.mpeg_video_quant_matrix_get_raster_from_zigzag (quant):
        #python wrapper for 'gst_mpeg_video_quant_matrix_get_raster_from_zigzag'

Converts quantization matrix quant from zigzag scan order to raster scan order and store the resulting factors into out_quant.

Note: it is an error to pass the same table in both quant and out_quant arguments.

Parameters:

`quant` (int) –

The source quantization matrix

Since : 1.2

### gst_mpeg_video_quant_matrix_get_zigzag_from_raster

    gst_mpeg_video_quant_matrix_get_zigzag_from_raster (guint8 * out_quant,
                                                        const guint8 * quant)

Converts quantization matrix quant from raster scan order to zigzag scan order and store the resulting factors into out_quant.

Note: it is an error to pass the same table in both quant and out_quant arguments.

Parameters:

`out_quant` ( [out]) –

The resulting quantization matrix

`quant` –

The source quantization matrix

Since : 1.2

### GstCodecParsers.prototype.mpeg_video_quant_matrix_get_zigzag_from_raster

    function GstCodecParsers.prototype.mpeg_video_quant_matrix_get_zigzag_from_raster(quant: Number): {
        // javascript wrapper for 'gst_mpeg_video_quant_matrix_get_zigzag_from_raster'
    }

Converts quantization matrix quant from raster scan order to zigzag scan order and store the resulting factors into out_quant.

Note: it is an error to pass the same table in both quant and out_quant arguments.

Parameters:

`quant` (Number) –

The source quantization matrix

Since : 1.2

### GstCodecParsers.mpeg_video_quant_matrix_get_zigzag_from_raster

    def GstCodecParsers.mpeg_video_quant_matrix_get_zigzag_from_raster (quant):
        #python wrapper for 'gst_mpeg_video_quant_matrix_get_zigzag_from_raster'

Converts quantization matrix quant from raster scan order to zigzag scan order and store the resulting factors into out_quant.

Note: it is an error to pass the same table in both quant and out_quant arguments.

Parameters:

`quant` (int) –

The source quantization matrix

Since : 1.2

## Function Macros

### GST_MPEG_VIDEO_PACKET_IS_SLICE

    #define GST_MPEG_VIDEO_PACKET_IS_SLICE(typecode) ((typecode) >= GST_MPEG_VIDEO_PACKET_SLICE_MIN && \
                                                      (typecode) <= GST_MPEG_VIDEO_PACKET_SLICE_MAX)

Checks whether a packet type code is a slice.

Parameters:

`typecode` –

The MPEG video packet type code

Returns –

TRUE if the packet type code corresponds to a slice, else FALSE.

### gst_buffer_get_mpeg_video_meta

    #define gst_buffer_get_mpeg_video_meta(b) ((GstMpegVideoMeta*)gst_buffer_get_meta((b),GST_MPEG_VIDEO_META_API_TYPE))

## Enumerations

### GstMpegVideoChromaFormat

Chroma subsampling type.

##### Members

`GST_MPEG_VIDEO_CHROMA_RES` (0) –

Invalid (reserved for future use)

`GST_MPEG_VIDEO_CHROMA_420` (1) –

4:2:0 subsampling

`GST_MPEG_VIDEO_CHROMA_422` (2) –

4:2:2 subsampling

`GST_MPEG_VIDEO_CHROMA_444` (3) –

4:4:4 (non-subsampled)

### GstCodecParsers.MpegVideoChromaFormat

Chroma subsampling type.

##### Members

`GstCodecParsers.MpegVideoChromaFormat.RES` (0) –

Invalid (reserved for future use)

`GstCodecParsers.MpegVideoChromaFormat.420` (1) –

4:2:0 subsampling

`GstCodecParsers.MpegVideoChromaFormat.422` (2) –

4:2:2 subsampling

`GstCodecParsers.MpegVideoChromaFormat.444` (3) –

4:4:4 (non-subsampled)

### GstCodecParsers.MpegVideoChromaFormat

Chroma subsampling type.

##### Members

`GstCodecParsers.MpegVideoChromaFormat.RES` (0) –

Invalid (reserved for future use)

`GstCodecParsers.MpegVideoChromaFormat.420` (1) –

4:2:0 subsampling

`GstCodecParsers.MpegVideoChromaFormat.422` (2) –

4:2:2 subsampling

`GstCodecParsers.MpegVideoChromaFormat.444` (3) –

4:4:4 (non-subsampled)

### GstMpegVideoLevel

Mpeg-2 Levels.

##### Members

`GST_MPEG_VIDEO_LEVEL_HIGH_P` (2) –

High-P level (HL Progressive)

`GST_MPEG_VIDEO_LEVEL_HIGH` (4) –

High level (HL)

`GST_MPEG_VIDEO_LEVEL_HIGH_1440` (6) –

High 1440 level (H-14)

`GST_MPEG_VIDEO_LEVEL_MAIN` (8) –

Main level (ML)

`GST_MPEG_VIDEO_LEVEL_LOW` (10) –

Low level (LL)

### GstCodecParsers.MpegVideoLevel

Mpeg-2 Levels.

##### Members

`GstCodecParsers.MpegVideoLevel.HIGH_P` (2) –

High-P level (HL Progressive)

`GstCodecParsers.MpegVideoLevel.HIGH` (4) –

High level (HL)

`GstCodecParsers.MpegVideoLevel.HIGH_1440` (6) –

High 1440 level (H-14)

`GstCodecParsers.MpegVideoLevel.MAIN` (8) –

Main level (ML)

`GstCodecParsers.MpegVideoLevel.LOW` (10) –

Low level (LL)

### GstCodecParsers.MpegVideoLevel

Mpeg-2 Levels.

##### Members

`GstCodecParsers.MpegVideoLevel.HIGH_P` (2) –

High-P level (HL Progressive)

`GstCodecParsers.MpegVideoLevel.HIGH` (4) –

High level (HL)

`GstCodecParsers.MpegVideoLevel.HIGH_1440` (6) –

High 1440 level (H-14)

`GstCodecParsers.MpegVideoLevel.MAIN` (8) –

Main level (ML)

`GstCodecParsers.MpegVideoLevel.LOW` (10) –

Low level (LL)

### GstMpegVideoPacketExtensionCode

Indicates what type of packets are in this block, some are mutually exclusive though - ie, sequence packs are accumulated separately. GOP & Picture may occur together or separately.

##### Members

`GST_MPEG_VIDEO_PACKET_EXT_SEQUENCE` (1) –

Sequence extension code

`GST_MPEG_VIDEO_PACKET_EXT_SEQUENCE_DISPLAY` (2) –

Sequence Display extension code

`GST_MPEG_VIDEO_PACKET_EXT_QUANT_MATRIX` (3) –

Quantization Matrix extension code

`GST_MPEG_VIDEO_PACKET_EXT_SEQUENCE_SCALABLE` (5) –

Sequence Scalable extension code

`GST_MPEG_VIDEO_PACKET_EXT_PICTURE` (8) –

Picture coding extension

### GstCodecParsers.MpegVideoPacketExtensionCode

Indicates what type of packets are in this block, some are mutually exclusive though - ie, sequence packs are accumulated separately. GOP & Picture may occur together or separately.

##### Members

`GstCodecParsers.MpegVideoPacketExtensionCode.SEQUENCE` (1) –

Sequence extension code

`GstCodecParsers.MpegVideoPacketExtensionCode.SEQUENCE_DISPLAY` (2) –

Sequence Display extension code

`GstCodecParsers.MpegVideoPacketExtensionCode.QUANT_MATRIX` (3) –

Quantization Matrix extension code

`GstCodecParsers.MpegVideoPacketExtensionCode.SEQUENCE_SCALABLE` (5) –

Sequence Scalable extension code

`GstCodecParsers.MpegVideoPacketExtensionCode.PICTURE` (8) –

Picture coding extension

### GstCodecParsers.MpegVideoPacketExtensionCode

Indicates what type of packets are in this block, some are mutually exclusive though - ie, sequence packs are accumulated separately. GOP & Picture may occur together or separately.

##### Members

`GstCodecParsers.MpegVideoPacketExtensionCode.SEQUENCE` (1) –

Sequence extension code

`GstCodecParsers.MpegVideoPacketExtensionCode.SEQUENCE_DISPLAY` (2) –

Sequence Display extension code

`GstCodecParsers.MpegVideoPacketExtensionCode.QUANT_MATRIX` (3) –

Quantization Matrix extension code

`GstCodecParsers.MpegVideoPacketExtensionCode.SEQUENCE_SCALABLE` (5) –

Sequence Scalable extension code

`GstCodecParsers.MpegVideoPacketExtensionCode.PICTURE` (8) –

Picture coding extension

### GstMpegVideoPacketTypeCode

Indicates the type of MPEG packet

##### Members

`GST_MPEG_VIDEO_PACKET_PICTURE` (0) –

Picture packet starting code

`GST_MPEG_VIDEO_PACKET_SLICE_MIN` (1) –

Slice min packet starting code

`GST_MPEG_VIDEO_PACKET_SLICE_MAX` (175) –

Slice max packet starting code

`GST_MPEG_VIDEO_PACKET_USER_DATA` (178) –

User data packet starting code

`GST_MPEG_VIDEO_PACKET_SEQUENCE` (179) –

Sequence packet starting code

`GST_MPEG_VIDEO_PACKET_EXTENSION` (181) –

Extension packet starting code

`GST_MPEG_VIDEO_PACKET_SEQUENCE_END` (183) –

Sequence end packet code

`GST_MPEG_VIDEO_PACKET_GOP` (184) –

Group of Picture packet starting code

`GST_MPEG_VIDEO_PACKET_NONE` (255) –

None packet code

### GstCodecParsers.MpegVideoPacketTypeCode

Indicates the type of MPEG packet

##### Members

`GstCodecParsers.MpegVideoPacketTypeCode.PICTURE` (0) –

Picture packet starting code

`GstCodecParsers.MpegVideoPacketTypeCode.SLICE_MIN` (1) –

Slice min packet starting code

`GstCodecParsers.MpegVideoPacketTypeCode.SLICE_MAX` (175) –

Slice max packet starting code

`GstCodecParsers.MpegVideoPacketTypeCode.USER_DATA` (178) –

User data packet starting code

`GstCodecParsers.MpegVideoPacketTypeCode.SEQUENCE` (179) –

Sequence packet starting code

`GstCodecParsers.MpegVideoPacketTypeCode.EXTENSION` (181) –

Extension packet starting code

`GstCodecParsers.MpegVideoPacketTypeCode.SEQUENCE_END` (183) –

Sequence end packet code

`GstCodecParsers.MpegVideoPacketTypeCode.GOP` (184) –

Group of Picture packet starting code

`GstCodecParsers.MpegVideoPacketTypeCode.NONE` (255) –

None packet code

### GstCodecParsers.MpegVideoPacketTypeCode

Indicates the type of MPEG packet

##### Members

`GstCodecParsers.MpegVideoPacketTypeCode.PICTURE` (0) –

Picture packet starting code

`GstCodecParsers.MpegVideoPacketTypeCode.SLICE_MIN` (1) –

Slice min packet starting code

`GstCodecParsers.MpegVideoPacketTypeCode.SLICE_MAX` (175) –

Slice max packet starting code

`GstCodecParsers.MpegVideoPacketTypeCode.USER_DATA` (178) –

User data packet starting code

`GstCodecParsers.MpegVideoPacketTypeCode.SEQUENCE` (179) –

Sequence packet starting code

`GstCodecParsers.MpegVideoPacketTypeCode.EXTENSION` (181) –

Extension packet starting code

`GstCodecParsers.MpegVideoPacketTypeCode.SEQUENCE_END` (183) –

Sequence end packet code

`GstCodecParsers.MpegVideoPacketTypeCode.GOP` (184) –

Group of Picture packet starting code

`GstCodecParsers.MpegVideoPacketTypeCode.NONE` (255) –

None packet code

### GstMpegVideoPictureStructure

Picture structure type.

##### Members

`GST_MPEG_VIDEO_PICTURE_STRUCTURE_TOP_FIELD` (1) –

Top field

`GST_MPEG_VIDEO_PICTURE_STRUCTURE_BOTTOM_FIELD` (2) –

Bottom field

`GST_MPEG_VIDEO_PICTURE_STRUCTURE_FRAME` (3) –

Frame picture

### GstCodecParsers.MpegVideoPictureStructure

Picture structure type.

##### Members

`GstCodecParsers.MpegVideoPictureStructure.TOP_FIELD` (1) –

Top field

`GstCodecParsers.MpegVideoPictureStructure.BOTTOM_FIELD` (2) –

Bottom field

`GstCodecParsers.MpegVideoPictureStructure.FRAME` (3) –

Frame picture

### GstCodecParsers.MpegVideoPictureStructure

Picture structure type.

##### Members

`GstCodecParsers.MpegVideoPictureStructure.TOP_FIELD` (1) –

Top field

`GstCodecParsers.MpegVideoPictureStructure.BOTTOM_FIELD` (2) –

Bottom field

`GstCodecParsers.MpegVideoPictureStructure.FRAME` (3) –

Frame picture

### GstMpegVideoPictureType

Picture type.

##### Members

`GST_MPEG_VIDEO_PICTURE_TYPE_I` (1) –

Intra-coded (I) frame

`GST_MPEG_VIDEO_PICTURE_TYPE_P` (2) –

Predictive-codec (P) frame

`GST_MPEG_VIDEO_PICTURE_TYPE_B` (3) –

Bidirectionally predictive-coded (B) frame

`GST_MPEG_VIDEO_PICTURE_TYPE_D` (4) –

D frame

### GstCodecParsers.MpegVideoPictureType

Picture type.

##### Members

`GstCodecParsers.MpegVideoPictureType.I` (1) –

Intra-coded (I) frame

`GstCodecParsers.MpegVideoPictureType.P` (2) –

Predictive-codec (P) frame

`GstCodecParsers.MpegVideoPictureType.B` (3) –

Bidirectionally predictive-coded (B) frame

`GstCodecParsers.MpegVideoPictureType.D` (4) –

D frame

### GstCodecParsers.MpegVideoPictureType

Picture type.

##### Members

`GstCodecParsers.MpegVideoPictureType.I` (1) –

Intra-coded (I) frame

`GstCodecParsers.MpegVideoPictureType.P` (2) –

Predictive-codec (P) frame

`GstCodecParsers.MpegVideoPictureType.B` (3) –

Bidirectionally predictive-coded (B) frame

`GstCodecParsers.MpegVideoPictureType.D` (4) –

D frame

### GstMpegVideoProfile

Mpeg-2 Profiles.

##### Members

`GST_MPEG_VIDEO_PROFILE_422` (0) –

4:2:2 profile (422)

`GST_MPEG_VIDEO_PROFILE_HIGH` (1) –

High profile (HP)

`GST_MPEG_VIDEO_PROFILE_SPATIALLY_SCALABLE` (2) –

Spatially Scalable profile (Spatial)

`GST_MPEG_VIDEO_PROFILE_SNR_SCALABLE` (3) –

SNR Scalable profile (SNR)

`GST_MPEG_VIDEO_PROFILE_MAIN` (4) –

Main profile (MP)

`GST_MPEG_VIDEO_PROFILE_SIMPLE` (5) –

Simple profile (SP)

### GstCodecParsers.MpegVideoProfile

Mpeg-2 Profiles.

##### Members

`GstCodecParsers.MpegVideoProfile.422` (0) –

4:2:2 profile (422)

`GstCodecParsers.MpegVideoProfile.HIGH` (1) –

High profile (HP)

`GstCodecParsers.MpegVideoProfile.SPATIALLY_SCALABLE` (2) –

Spatially Scalable profile (Spatial)

`GstCodecParsers.MpegVideoProfile.SNR_SCALABLE` (3) –

SNR Scalable profile (SNR)

`GstCodecParsers.MpegVideoProfile.MAIN` (4) –

Main profile (MP)

`GstCodecParsers.MpegVideoProfile.SIMPLE` (5) –

Simple profile (SP)

### GstCodecParsers.MpegVideoProfile

Mpeg-2 Profiles.

##### Members

`GstCodecParsers.MpegVideoProfile.422` (0) –

4:2:2 profile (422)

`GstCodecParsers.MpegVideoProfile.HIGH` (1) –

High profile (HP)

`GstCodecParsers.MpegVideoProfile.SPATIALLY_SCALABLE` (2) –

Spatially Scalable profile (Spatial)

`GstCodecParsers.MpegVideoProfile.SNR_SCALABLE` (3) –

SNR Scalable profile (SNR)

`GstCodecParsers.MpegVideoProfile.MAIN` (4) –

Main profile (MP)

`GstCodecParsers.MpegVideoProfile.SIMPLE` (5) –

Simple profile (SP)

### GstMpegVideoSequenceScalableMode

##### Members

`GST_MPEG_VIDEO_SEQ_SCALABLE_MODE_DATA_PARTITIONING` (0) –

Data partitioning

`GST_MPEG_VIDEO_SEQ_SCALABLE_MODE_SPATIAL` (1) –

Spatial Scalability

`GST_MPEG_VIDEO_SEQ_SCALABLE_MODE_SNR` (2) –

SNR Scalability

`GST_MPEG_VIDEO_SEQ_SCALABLE_MODE_TEMPORAL` (3) –

Temporal Scalability

### GstCodecParsers.MpegVideoSequenceScalableMode

##### Members

`GstCodecParsers.MpegVideoSequenceScalableMode.DATA_PARTITIONING` (0) –

Data partitioning

`GstCodecParsers.MpegVideoSequenceScalableMode.SPATIAL` (1) –

Spatial Scalability

`GstCodecParsers.MpegVideoSequenceScalableMode.SNR` (2) –

SNR Scalability

`GstCodecParsers.MpegVideoSequenceScalableMode.TEMPORAL` (3) –

Temporal Scalability

### GstCodecParsers.MpegVideoSequenceScalableMode

##### Members

`GstCodecParsers.MpegVideoSequenceScalableMode.DATA_PARTITIONING` (0) –

Data partitioning

`GstCodecParsers.MpegVideoSequenceScalableMode.SPATIAL` (1) –

Spatial Scalability

`GstCodecParsers.MpegVideoSequenceScalableMode.SNR` (2) –

SNR Scalability

`GstCodecParsers.MpegVideoSequenceScalableMode.TEMPORAL` (3) –

Temporal Scalability

## Constants

### GST_MPEG_VIDEO_META_API_TYPE

    #define GST_MPEG_VIDEO_META_API_TYPE  (gst_mpeg_video_meta_api_get_type())

### GST_MPEG_VIDEO_META_INFO

    #define GST_MPEG_VIDEO_META_INFO  (gst_mpeg_video_meta_get_info())

The results of the search are